Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.edit.ui.action.ecp
Class CreateChildAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.edit.ui.action.ecp.StaticSelectionCommandAction
                      org.eclipse.emf.edit.ui.action.ecp.CreateChildAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction

    public class CreateChildAction

extends StaticSelectionCommandAction

A child creation action is implemented by creating a `CreateChildCommand`.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`CreateChildAction(org.eclipse.emf.edit.domain.EditingDomain editingDomain, org.eclipse.jface.viewers.ISelection selection, Object descriptor)` This constructs an instance of an action that uses the given editing domain to create a child specified by `descriptor` for the single object in the `selection`.

Method Summary

Methods inherited from class org.eclipse.emf.edit.ui.action.ecp.StaticSelectionCommandAction
`configureAction, run`

Methods inherited from class org.eclipse.jface.action.Action
`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateChildAction

    public CreateChildAction(org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                             org.eclipse.jface.viewers.ISelection selection,
                             Object descriptor)

  This constructs an instance of an action that uses the given editing domain to create a child specified by `descriptor` for the single object in the `selection`.

  Since:
    2.4.0

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.